gtkmm 2.4: Gtk::MessageDialog Class Reference

Main Page Widgets Namespaces Book

# Gtk::MessageDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::MessageDialog:

[legend]
List of all members.

## Detailed Description

Convenient message window.

Gtk::MessageDialog presents a dialog with an image representing the type of message (Error, Question, etc.) alongside some message text. It's simply a convenience widget; you could construct the equivalent of Gtk::MessageDialog from Gtk::Dialog without too much effort, but Gtk::MessageDialog saves typing.

## Public Member Functions
const GtkMessageDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkMessageDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| MessageDialog (Gtk::Window& parent, const Glib::ustring& message, bool use_markup=false, MessageType type=MESSAGE_INFO, ButtonsType buttons=BUTTONS_OK, bool modal=false)
| MessageDialog (const Glib::ustring& message, bool use_markup=false, MessageType type=MESSAGE_INFO, ButtonsType buttons=BUTTONS_OK, bool modal=false)
void | set_markup (const Glib::ustring& str)
| Sets the text of the message dialog to be str , which is marked up with the Pango text markup language.
void | set_message (const Glib::ustring& message, bool use_markup=false)
| Sets the primary text of the message dialog.
void | set_secondary_text (const Glib::ustring& text, bool use_markup=false)
| Sets the secondary text of the message dialog.
virtual | ~MessageDialog ()
## Related Functions
(Note that these are not member functions.)
Gtk::MessageDialog* | wrap (GtkMessageDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::MessageDialog::~MessageDialog | ( |  | ) | `[virtual]`

Gtk::MessageDialog::MessageDialog | ( | const Glib::ustring& | message,
|  | bool | use_markup = `false`,
|  | MessageType | type = `MESSAGE_INFO`,
|  | ButtonsType | buttons = `BUTTONS_OK`,
|  | bool | modal = `false`
| ) | `[explicit]`

Gtk::MessageDialog::MessageDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | message,
|  | bool | use_markup = `false`,
|  | MessageType | type = `MESSAGE_INFO`,
|  | ButtonsType | buttons = `BUTTONS_OK`,
|  | bool | modal = `false`
| ) |

## Member Function Documentation

const GtkMessageDialog* Gtk::MessageDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkMessageDialog* Gtk::MessageDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

void Gtk::MessageDialog::set_markup | ( | const Glib::ustring& | str | ) |

  | Sets the text of the message dialog to be str , which is marked up with the Pango text markup language. Since gtkmm 2.4: Deprecated: Use set_message(string, true). Parameters:
  | str | Markup string (see Pango markup format).

void Gtk::MessageDialog::set_message | ( | const Glib::ustring& | message,
|  | bool | use_markup = `false`
| ) |

  | Sets the primary text of the message dialog. Parameters:
  | text | The message.
  | use_markup | Whether message contains pango markup.

void Gtk::MessageDialog::set_secondary_text | ( | const Glib::ustring& | text,
|  | bool | use_markup = `false`
| ) |

  | Sets the secondary text of the message dialog. Note that setting a secondary text makes the primary text become bold, unless you have provided explicit markup. Since gtkmm 2.6: Parameters:
  | text | The message.
  | use_markup | Whether message contains pango markup.

## Friends And Related Function Documentation

Gtk::MessageDialog* wrap | ( | GtkMessageDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- messagedialog.h